# $CVSHeader: pal8e/src/PhiPsiOverPred.py,v 1.2 2005/02/15 01:10:26 indraneel Rel $

import os

def remove(fname, data):
    fh = file(fname)
    lines = fh.readlines()
    fh.close()
    for (i, line) in enumerate(lines):
        lines[i] = line[:-1]
    for line in lines:
        if data.has_key(line):
            del data[line]
    return data

fh = file('pssdE')
lines = fh.readlines()
fh.close()
data = {}
for line in lines:
    line = line[:-1]
    data[line] = 1
#for fname in ['dsspphipsi_H', 'dsspphipsi_G', 'dsspphipsi_I']:
for fname in ['dsspphipsi_E']:
    data = remove(fname, data)
lines = []
for d in data:
    lines.append(d+'\n')
fh = file('out', 'w')
fh.writelines(lines)
fh.close()
